FailableLongConsumer (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.function, interface: FailableLongConsumer

Package org.apache.commons.lang3.function

# Interface FailableLongConsumer<E extends Throwable>

Type Parameters:
  `E` - The kind of thrown exception or error.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface FailableLongConsumer<E extends Throwable>
A functional interface like `LongConsumer` that declares a `Throwable`.

Since:
  3.11

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FailableLongConsumer`
  `NOP`
  NOP singleton

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(long object)`
  Accepts the given arguments.
  `default FailableLongConsumer<E>`
  `andThen(FailableLongConsumer<E> after)`
  Returns a composed `FailableLongConsumer` like `LongConsumer.andThen(LongConsumer)`.
  `static <E extends Throwable>
  FailableLongConsumer<E>`
  `nop()`
  Returns The NOP singleton.

- ## Field Details

  - ### NOP

    static final FailableLongConsumer NOP
    NOP singleton

- ## Method Details

  - ### nop

    static <E extends Throwable> FailableLongConsumer<E> nop()
    Returns The NOP singleton.
    Type Parameters:
      `E` - The kind of thrown exception or error.
    Returns:
      The NOP singleton.

  - ### accept

    void accept(long object) throws E
    Accepts the given arguments.
    Parameters:
      `object` - the parameter for the consumable to accept
    Throws:
      `E` - Thrown when the consumer fails.

  - ### andThen

    default FailableLongConsumer<E> andThen(FailableLongConsumer<E> after)
    Returns a composed `FailableLongConsumer` like `LongConsumer.andThen(LongConsumer)`.
    Parameters:
      `after` - the operation to perform after this one.
    Returns:
      a composed `FailableLongConsumer` like `LongConsumer.andThen(LongConsumer)`.
    Throws:
      `NullPointerException` - if `after` is null